module Adminix
  module Entities
    class Log
      attr_reader :message, :tag, :created_at

      def initialize(message, tag = nil)
        @message = message
        @tag = tag || 'default'
        @created_at = Time.now
      end

      def to_api
        {
          message: message,
          tag: tag,
          created_at: created_at
        }
      end
    end
  end
end
