module Adminix
  module Services
    class SystemLoadService
      def initialize(service)
        @service = service
      end

      def create_stamp
        @service.add_system_load(Entities::SysloadStamp.new)
        diff = Adminix.config.data_storage_limit[:load_stamps] -
               @service.load_stamps.count
        @service.shift_load_stamps(diff.abs) if diff < 0
      end
    end
  end
end
